Oracle Linux 4 : gcc (ELSA-2007-0220)

Low Nessus Plugin ID 67475


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2007:0220 :

Updated gcc packages that fix a security issue and various bugs are now available.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

The gcc packages include C, C++, Java, Fortran 77, Objective C, and Ada 95 GNU compilers and related support libraries.

Jurgen Weigert discovered a directory traversal flaw in fastjar. An attacker could create a malicious JAR file which, if unpacked using fastjar, could write to any files the victim had write access to.

These updated packages also fix several bugs, including :

* two debug information generator bugs

* two internal compiler errors

In addition to this, protoize.1 and unprotoize.1 manual pages have been added to the package and [email protected]@CXXABI_1.3.1 symbol has been added into

For full details regarding all fixed bugs, refer to the package changelog as well as the specified list of bug reports from bugzilla.

All users of gcc should upgrade to these updated packages, which contain backported patches to resolve these issues.


Update the affected gcc packages.

See Also

Plugin Details

Severity: Low

ID: 67475

File Name: oraclelinux_ELSA-2007-0220.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2016/05/26

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.6

Vector: CVSS2#AV:N/AC:H/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:cpp, p-cpe:/a:oracle:linux:gcc, p-cpe:/a:oracle:linux:gcc-c++, p-cpe:/a:oracle:linux:gcc-g77, p-cpe:/a:oracle:linux:gcc-gnat, p-cpe:/a:oracle:linux:gcc-java, p-cpe:/a:oracle:linux:gcc-objc, p-cpe:/a:oracle:linux:libf2c, p-cpe:/a:oracle:linux:libgcc, p-cpe:/a:oracle:linux:libgcj, p-cpe:/a:oracle:linux:libgcj-devel, p-cpe:/a:oracle:linux:libgnat, p-cpe:/a:oracle:linux:libobjc, p-cpe:/a:oracle:linux:libstdc++, p-cpe:/a:oracle:linux:libstdc++-devel, cpe:/o:oracle:linux:4

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2007/05/17

Reference Information

CVE: CVE-2006-3619

RHSA: 2007:0220